#!/bin/bash

#
# Convert xml specs from:
# http://www.upnp.org/resources/upnpresources.zip
# specifically:
# upnpresources.zip\standardizeddcps\Internet_Gateway_Device_IGD_V1.0\IGD_serv_verifier.zip
#

XML_PATH="upnp.org_XML"
OUTDIR="stub"

CONVERT_CMD="./scpd2ruby.rb"
NAMESPACE_PREFIX="urn:schemas-upnp-org:service:"

function scpd2stub {
	${CONVERT_CMD} --scpdfile ${XML_PATH}/${1} --namespace ${NAMESPACE_PREFIX}${2} --classname ${3} > ${OUTDIR}/${3}.rb
}


 

scpd2stub LANHostConfigManagement1.xml		LANHostConfigManagement:1	LANHostConfigManagement1
scpd2stub Layer3Forwarding1.xml				Layer3Forwarding:1			Layer3Forwarding1
scpd2stub WANCableLinkConfig1.xml			WANCableLinkConfig:1		WANCableLinkConfig1
scpd2stub WANCommonInterfaceConfig1.xml		WANCommonInterfaceConfig:1	WANCommonInterfaceConfig1
scpd2stub WANDSLLinkConfig1.xml				WANDSLLinkConfig:1			WANDSLLinkConfig1
scpd2stub WANEthernetLinkConfig1.xml		WANEthernetLinkConfig:1		WANEthernetLinkConfig1
scpd2stub WANIPConnection1.xml				WANIPConnection:1			WANIPConnection1
scpd2stub WANPOTSLinkConfig1.xml			WANPOTSLinkConfig:1			WANPOTSLinkConfig1
scpd2stub WANPPPConnection1.xml				WANPPPConnection:1			WANPPPConnection1

